This file describes how to pick your own colours - or how to use
the Colours gem.

The colours-centric Hash will contain entries such as:

    sdir: :olivedrab

Now, what does this mean?

This is a hash entry, a key->value pair, with the key being called
:sdir, and the value being :olivedrab.

"sdir" is an abbreviation for "string_dir", aka "string_directory".

:olivedrab is the HTML colour called olivedrab, a beige-green variant.

What this thus does means, in english, is to "use the colour olivedrab
in order to display directories in a coloured fashion".

If you wish to use another colour, simply change the Symbol on the
right hand side, aka :olivedrab, to another name, such as :steelblue
or :orange. The names that should be chosen here are HTML Colour
names.

If you wish to get an overview of all available HTML colours, in ruby
code, you can do this via the Colours namespace:

    Colours.show_html_colours
